sfsauthd(8)

NAME
sfsauthd - SFS authentication daemon

SYNOPSIS
/usr/local/lib/sfs-0.7.2/sfsauthd [-u sockfile] [-f config-file]

DESCRIPTION
sfsauthd is the program responsible for authenticating users. sfsrwsd and other daemons communicate with sfsauthd, forwarding it authentication requests from sfsagent processes on remote client machines. sfsauthd informs requesting daemons of whether authentication requests are valid, and if so what local credentials to associate with the remote user agent. The sfskey program also communicates directly with remote sfsauthd processes when retrieving and updating users keys (with sfskey add, update, register, and more).

OPTIONS

-f config-file
    Specify an alternate sfssauthd_config configuration file. The default, if -f is unspecified, is /etc/sfs/sfsauthd_config.

-u path
    Bind unix domain socket path, and accept TCP connections passed over connections to that socket. This option allows sfssd to communicate with already running sfsauthd commands using a directive like Service 2 -u path in sfssd_config sfssd_config.

FILES

/etc/sfs/sfsauthd_config
/usr/local/share/sfs/sfsauthd_config
    user-authentication daemon confiuration

(Files in /etc/sfs supersede default versions in /usr/local/share/sfs.)

SEE ALSO
dirsearch(1), newaid(1), rex(1), sfsagent(1), sfskey(1), ssu(1), sfs_config(5), sfs_srp_params(5), sfs_users(5), sfsauthd_config(5), sfscd_config(5), sfsrwsd_config(5), sfssd_config(5), funmount(8), sfscd(8), sfsrwsd(8), sfssd(8), vidb(8)

The full documentation for SFS is maintained as a Texinfo manual. If the info and SFS programs are properly installed at your site, the command info SFS should give you access to the complete manual.

For updates, documentation, and software distribution, please see the SFS website at http://www.fs.net.

AUTHOR
sfsdev@redlab.lcs.mit.edu